FLS admin API Resource

Abstract class for REST webservices

GET /admin/fls/json

Try it out!

Response Body
media type data type description
application/json object (JSON)

POST /admin/fls/assign/{flsId}

Assign user or group to given Field Level Security definition

Try it out!

Request Parameters
name type description default constraints
flsId path ID of FLS   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the assignment has or has not been succeeded.

GET /admin/fls/json/{classId}

Try it out!

Request Parameters
name type description default constraints
classId path   long
Response Body
media type data type description
application/json HdcAdminModelTO (JSON)

POST /admin/fls/json/{clsId}

Add fls for class.

Example of request:

{ "classId": "98", "name": "name of the fls", "defaultFls": false }

Try it out!

Request Parameters
name type description default constraints
clsId path   long
Request Body
media type data type description
application/json HdcFlsTO (JSON) The specification of fls for class that has to be added.
Response Body
media type data type description
application/json HdcFlsTO (JSON) JSON with flsId, name and description of created fls for class

{"id":"created fls id", "classId": "98", "name":"name of the fls", "defaultFls": false} *

DELETE /admin/fls/json/{flsId}

Remove fls for class.

Try it out!

Request Parameters
name type description default constraints
flsId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the removing has or has not been succeeded.

PUT /admin/fls/json/{flsId}

Update fls for class.

Example of request:

{"flsId":"created fls id", "classId": "98", "name":"name of the fls", "defaultFls": false}

Try it out!

Request Parameters
name type description default constraints
flsId path   long
Request Body
media type data type description
application/json HdcFlsTO (JSON) The id of fls that has to be updated.
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the update has or has not been succeeded.

POST /admin/fls/unassign/{flsId}

Unassign user or group to given Field Level Security definition

Try it out!

Request Parameters
name type description default constraints
flsId path ID of FLS   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json object (JSON)

GET /admin/fls/fields/json/{flsId}

Try it out!

Request Parameters
name type description default constraints
flsId path   long
Response Body
media type data type description
application/json object (JSON)

PUT /admin/fls/fields/json/{flsId}

update fls field mask.

Example of request:

{"flsId":"fls id", "fields":[{"label":"field1 name","fieldId":"field1 system name","mask":"field1 mask"},{"label":"field2 name","fieldId":"field2 system name","mask":"field2 mask"},{"label":"field3 name","fieldId":"field3 system name","mask":"field3 mask"}]}

Try it out!

Request Parameters
name type description default constraints
flsId path   long
Request Body
media type data type description
application/json HdcFlsFieldsListTO (JSON) The id of fls that has to be updated.
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the update has or has not been succeeded.

PUT /admin/fls/json/{clsId}/{flsId}

set default fls for the specified class.

Try it out!

Request Parameters
name type description default constraints
clsId path The id of the class.   long
flsId path The id of fls that has to be made the default fls.   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the setting has or has not been succeeded.

GET /admin/fls/members/json/{flsId}

Get list of fls members (users or groups)

Try it out!

Request Parameters
name type description default constraints
flsId path ID of FLS   long
mode query    
Response Body
media type data type description
application/json object (JSON) JSON with list of groups

Example of response:

{"list":[{"id":"x","description":"Members of Tessel Crew group","name":"Tessel Crew"},{"id":"y","description":"aaa bbb ccc ddd eee fff ggg hhh iii jjj kkk lll ","name":"Group B"}]} or

Example of response:

{"list":[{"id":1,"name":"admin","userFullName":"Admin","description":"","enabled":true,"email":"","loginCount":1840,"lastLoginDate":"2013-09-26T10:18:36.199072+02:00"},{"id":2,"name":"user1","userFullName":"User 1","description":"","enabled":true,"email":"","loginCount":784,"lastLoginDate":"2013-09-25T13:16:12.990218+02:00"}]}

GET /admin/fls/user/json/{userId}

Try it out!

Request Parameters
name type description default constraints
userId path   long
Response Body
media type data type description
application/json object (JSON)